import QtQuick 2.4
import Ubuntu.Components 1.2

Page {
    id: aboutPage

    title: i18n.tr("About")

    Column {
        anchors.centerIn: parent
        width: root.width > units.gu(50) ? units.gu(50) : parent.width
        spacing: units.gu(4)

        UbuntuShape {
            id: logo
            x: (parent.width - width) / 2
            width: parent.width / 2
            height: width
            radius: "medium"

            image: Image {
                source: "../vulgry.png"
            }
        }

        Column {
            width: parent.width

            Label {
                x: (parent.width - width) / 2
                fontSize: "x-large"
                font.weight: Font.DemiBold
                text: i18n.tr("Vulgry")
            }

            Label {
                x: (parent.width - width) / 2
                text: i18n.tr("Version ") + "1.0.2"
            }
        }

        Column {
            width: parent.width

            Label {
                x: (parent.width - width) / 2
                text: "(C) 2015 Johan Guerreros"
            }

            Label {
                x: (parent.width - width) / 2
                fontSize: "small"
                text: i18n.tr("Released under the terms of the GNU LGPL v3")
            }
        }

        Button {
            x: (parent.width - width) / 2
            color: "#0169c9"
            text: i18n.tr("Donate")
            onClicked: Qt.openUrlExternally("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=8YW88CE8YLYZ2")
        }
    }
}
